SDL_GL_CreateContext(3)

NAME
SDL_GL_CreateContext - Create an OpenGL context for an OpenGL window, and make it current.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GLContext SDL_GL_CreateContext(SDL_Window *window);

DESCRIPTION
Windows users new to OpenGL should note that, for historical reasons, GL functions added after OpenGL version 1.1 are not available by default. Those functions must be loaded at run-time, either with an OpenGL extension-handling library or with SDL_GL_GetProcAddress () and its related functions. SDL_GLContext
 is an alias for void* . It's opaque to the application.

FUNCTION PARAMETERS

window
    the window to associate with the context

RETURN VALUE
Returns the OpenGL context associated with window or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_DeleteContext(3), SDL_GL_MakeCurrent(3)